
var Revelar = {
    data : "",
};

Revelar.initialize = function() {
			function carregaExperiencia( ) {
				var experienciaURL = $( "#experiencia-url" ).val();
				if( experienciaURL.length > 0 ) {
					Revelar.load( experienciaURL );


					Reveal.configure({ controls: false, keyboard: true});

					// Espera por pelo menos 2s, para ir para o próximo slide
					setTimeout( function() {
						Reveal.next();
					}, 800);

					Reveal.configure({ controls: true });

				}
			};

			$( "#experiencia-form" ).submit(function( event ) {
				carregaExperiencia();
				event.preventDefault();
			});


			$( "#experiencia-url" ).keypress(function() {
				var value = $( this ).val();
				$( "#experiencia-url" ).val( value );
			  }).keypress();



			$( "#carregar-experiencia" ).on( "click", function( event ) {
				carregaExperiencia();
			});

}

Revelar.load= function( experienciaURL ) {

        (function() {
            //var experienciaAPI = "http://revelar.impa.br/revelar/api/experiencias/3/";

            // Pegando os dados da experiência
            $.getJSON( experienciaURL, {format: "json"}).done(function( experiencia ) {

                console.log("status: " + experiencia["status"]);
                console.log("atividiade url: " + experiencia["atividade"]);

                // Pegando os dados da atividade
                $.getJSON( experiencia["atividade"], {format: "json"}).done(function(atividade) {
                    console.log("atividade[apelido]: " + atividade["apelido"]);

                    // Pegando os dados do tema
                    $.getJSON( atividade["tema"], {format: "json"}).done(function(tema) {
                        //console.log(JSON.stringify(tema));
                        //console.log("tema[texto]: " + tema["texto"]);
                        //console.log("tema[tags]: " + tema["tags"]);

                        // Pegando os dados do texto
                        $.getJSON( tema["texto"], {format: "json"}).done(function(texto) {
                            //console.log("texto titulo: " + texto["titulo"]);
                            //console.log("texto conteudo: " + texto["conteudo"]);

                            $( "#inicio-titulo" ).html(texto["titulo"]);
                            $( "#inicio-conteudo" ).html(texto["conteudo"]);
                        });

                        // Pegando os dados das tags
                        var tagsName = "";
                        $.each( tema["tags"], function( i, tag){
                            //console.log("***Tag " + i + " : " + JSON.stringify(tag));

                            // Pegado os dados de cada tag
                            $.getJSON( tag, {format: "json"}).done(function(tagData) {
                                //console.log("Tag " + i + ": " + tagData["nome"]);

                                tagsName += (tagData["nome"] + " ");
                                $( "#inicio-tags" ).html( tagsName );
                            });
                        });
                    });
                });


                // Pegando os dados de fotos
                //console.log("FOTOS: " + JSON.stringify(experiencia["foto_set"]));
                var marks = "https://maps.googleapis.com/maps/api/staticmap?key=AIzaSyCHhd7suOi_VKJSlH9VTErOp_UKdU8Yo14&size=600x400&scale=2&zoom=17";

                $( "#interacao" ).html("");
                $.each( experiencia["foto_set"], function( i, foto) {
                    $.getJSON( foto, {format: "json"}).done(function(fotoData) {
                        //console.log("FOTO: " + JSON.stringify(fotoData));

                        // Pegando os dados da pessoa que tirou a foto
                        $.getJSON( fotoData["pessoa"], {format: "json"}).done(function(pessoa) {
                            $( "<section>" ).attr( "id", "foto_"+fotoData["id"] )
                                .html(
                                    "<p class=\"tags\" id=\"tags_foto_" + fotoData["id"] + "\"></p>" +
                                    "<img class=\"stretch\" data-src=\"" + fotoData["imagem"] + "\">" +
                                    "<p class=\"pessoa\" style=\"font-size: 0.8em;\">" + pessoa["id"]  + "</p>"
                                ).appendTo( "#interacao" );

                            // Pegando as tags da foto
                            var tagsName = "";
                            $.each( fotoData["tags"], function( i, tag ) {
                                $.getJSON( tag, {format: "json"}).done(function(tagData) {
                                    tagsName += (tagData["nome"] + " ");
                                    $( "#tags_foto_" + fotoData["id"] ).attr( "style", "font-size: 1.3em" ).html( tagsName );
                                    //console.log("TAGS FOTO: " + "#tags_foto_" + fotoData["id"]);
                                });
                            });
                        });

                        // Pegando os dados de geolocalização das fotos
                        var lat  = fotoData["latitude"];
                        var long = fotoData["longitude"];
                        var fotoId  =  fotoData["id"];
                        marks += "&markers=color:green%7Clabel:" + fotoId + "%7C" + lat + "," + long;
                        $( "#mapa-images").attr( "data-src", marks );
                        //console.log("FOTO Geo: " + long + " " + lat);
                        //console.log("MARKS: " + marks );
                    });
                });
            });
        })();

    }
